Post-Processors

Post-Processors

GET /api/v1/datasets/{dataset_id}/post-processors

Get Post Processors

getPostProcessors returns all post-processors for a dataset

Parameters

NameInTypeRequired
dataset_idpathstringtrue

Response

Type: []PostProcessorWithModel

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
dataset_iduuid.UUID
namestring
descriptionstring
enabledbool
orderint
model_idstringInternal model reference (use either this OR external provider) (optional)
model_versionstring(optional)
external_providerstring“openai”, “anthropic” (optional)
external_modelstring“whisper-1”, “gpt-4”, etc. (optional)
external_configstringJSON config (API key ref, params) (optional)
model_typestring“stt”, “classification”, etc.
output_targetstring“text”, “annotations”, “both”
auto_create_labelsbool
confidence_thresholdfloat64
promptstringCustom prompt for LLM processing (optional)
user_idstring
model_namestring(optional)
model_kindstring(optional)
is_externalbool
provider_namestring(optional)

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/post-processors

POST /api/v1/datasets/{dataset_id}/post-processors

Create Processor

postPostProcessor creates a new post-processor

Parameters

NameInTypeRequired
dataset_idpathstringtrue

Request Body

Type: CreatePostProcessorRequest

FieldTypeDescription
namestring
descriptionstring
enabledbool
orderint
model_idstring(optional)
model_versionstring(optional)
external_providerstring(optional)
external_modelstring(optional)
external_configstring(optional)
model_typestring
output_targetstring
auto_create_labelsbool
confidence_thresholdfloat64
promptstring(optional)

Response

Type: DatasetPostProcessor

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
dataset_iduuid.UUID
namestring
descriptionstring
enabledbool
orderint
model_idstringInternal model reference (use either this OR external provider) (optional)
model_versionstring(optional)
external_providerstring“openai”, “anthropic” (optional)
external_modelstring“whisper-1”, “gpt-4”, etc. (optional)
external_configstringJSON config (API key ref, params) (optional)
model_typestring“stt”, “classification”, etc.
output_targetstring“text”, “annotations”, “both”
auto_create_labelsbool
confidence_thresholdfloat64
promptstringCustom prompt for LLM processing (optional)
user_idstring

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/post-processors

GET /api/v1/datasets/{dataset_id}/post-processors/jobs

Get Dataset Post Processor Jobs

getDatasetPostProcessorJobs returns all jobs for a dataset with optional status filter

Parameters

NameInTypeRequired
dataset_idpathstringtrue

Response

Type: []PostProcessorJob

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
post_processor_iduuid.UUID
dataset_item_iduuid.UUID
dataset_iduuid.UUID
statusstringpending, processing, completed, failed
attemptsint
max_attemptsint
errorstring(optional)
resultstringJSON string of raw model output (optional)
started_attime.Time(optional)
completed_attime.Time(optional)
user_idstring

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/post-processors/jobs

GET /api/v1/datasets/{dataset_id}/post-processors/{id}

Get Post Processor

getPostProcessor returns a single post-processor

Parameters

NameInTypeRequired
dataset_idpathstringtrue
idpathstringtrue

Response

Type: DatasetPostProcessor

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
dataset_iduuid.UUID
namestring
descriptionstring
enabledbool
orderint
model_idstringInternal model reference (use either this OR external provider) (optional)
model_versionstring(optional)
external_providerstring“openai”, “anthropic” (optional)
external_modelstring“whisper-1”, “gpt-4”, etc. (optional)
external_configstringJSON config (API key ref, params) (optional)
model_typestring“stt”, “classification”, etc.
output_targetstring“text”, “annotations”, “both”
auto_create_labelsbool
confidence_thresholdfloat64
promptstringCustom prompt for LLM processing (optional)
user_idstring

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/post-processors/{id}

PUT /api/v1/datasets/{dataset_id}/post-processors/{id}

Update Post Processor

putPostProcessor updates a post-processor

Parameters

NameInTypeRequired
dataset_idpathstringtrue
idpathstringtrue

Request Body

Type: UpdatePostProcessorRequest

FieldTypeDescription
namestring(optional)
descriptionstring(optional)
enabledbool(optional)
orderint(optional)
model_idstring(optional)
model_versionstring(optional)
external_providerstring(optional)
external_modelstring(optional)
external_configstring(optional)
model_typestring(optional)
output_targetstring(optional)
auto_create_labelsbool(optional)
confidence_thresholdfloat64(optional)
promptstring(optional)

Response

Type: DatasetPostProcessor

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
dataset_iduuid.UUID
namestring
descriptionstring
enabledbool
orderint
model_idstringInternal model reference (use either this OR external provider) (optional)
model_versionstring(optional)
external_providerstring“openai”, “anthropic” (optional)
external_modelstring“whisper-1”, “gpt-4”, etc. (optional)
external_configstringJSON config (API key ref, params) (optional)
model_typestring“stt”, “classification”, etc.
output_targetstring“text”, “annotations”, “both”
auto_create_labelsbool
confidence_thresholdfloat64
promptstringCustom prompt for LLM processing (optional)
user_idstring

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/post-processors/{id}

DELETE /api/v1/datasets/{dataset_id}/post-processors/{id}

Delete Post Processor

deletePostProcessor deletes a post-processor

Parameters

NameInTypeRequired
dataset_idpathstringtrue
idpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/post-processors/{id}